<div class="main">
    <div class="btn-group">
        <h3>Select view :</h3>
        <button class="btn small" (click)="onGridView()">
            <img class="img" src="../../../assets/GridView.png" alt="Grid View" />
        </button>
        <button class="btn small" (click)="onListView()">
            <img class="img" src="../../../assets/ListView.png" alt="Grid View" />
        </button>
    </div>
<ng-container *ngIf="isGridView === true">  
<app-grid-view></app-grid-view>
</ng-container>
<ng-container *ngIf="isListView === true">
<app-list-view></app-list-view>
</ng-container>
</div>